package com.fjhx.xmhjc.service.about;

import com.fjhx.xmhjc.entity.about.po.AboutUsBaseInfo;
import com.fjhx.xmhjc.entity.about.vo.AboutUsBootInfoVo;
import com.fjhx.xmhjc.entity.about.vo.AboutUsBasicInfoVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.vo.AboutUsBaseInfoVo;
import com.fjhx.xmhjc.entity.about.dto.AboutUsBaseInfoSelectDto;
import com.fjhx.xmhjc.entity.about.dto.AboutUsBaseInfoDto;


/**
 * <p>
 * 关于我们-基础信息 服务类
 * </p>
 *
 * @author lqh
 * @since 2023-11-12
 */
public interface AboutUsBaseInfoService extends BaseService<AboutUsBaseInfo> {

    /**
     * 关于我们-基础信息分页
     */
    Page<AboutUsBaseInfoVo> getPage(AboutUsBaseInfoSelectDto dto);

    /**
     * 关于我们-基础信息明细
     */
    AboutUsBaseInfoVo detail(Long id);

    /**
     * 关于我们-基础信息新增
     */
    void add(AboutUsBaseInfoDto aboutUsBaseInfoDto);

    /**
     * 关于我们-基础信息编辑
     */
    void edit(AboutUsBaseInfoDto aboutUsBaseInfoDto);

    /**
     * 关于我们-基础信息删除
     */
    void delete(Long id);

    AboutUsBaseInfoVo detailDefault();

    AboutUsBasicInfoVo detailDefaultByOpen();

    AboutUsBootInfoVo detailBootInfoByOpen();
}
