package com.fjhx.xmhjc.mapper.product;

import com.fjhx.xmhjc.entity.product.po.ProductImage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductImageVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 产品图片 Mapper 接口
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
public interface ProductImageMapper extends BaseMapper<ProductImage> {

    /**
     * 产品图片列表
     */
    List<ProductImageVo> getList(@Param("ew") IWrapper<ProductImage> wrapper);

    /**
     * 产品图片分页
     */
    Page<ProductImageVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductImage> wrapper);

}
